This is the content of a typical apt-zip fetch-script-wget-* file:

   1 #!/bin/sh
   2 
   3 # This file was auto-generated by apt-zip-list 0.13.2
   4 
   5 # Method: ["wget"] - Options: 
   6  
   7 err(){
   8         echo >&2 "Fetching $1 failed ($2)"
   9 }
  10 check(){
  11         [ ! -r "$1" ] && return 1
  12         [ "`which md5sum`" ] && 
  13                 if [ "`md5sum $1 | cut -d' ' -f1`" = $2 ]
  14                 then return 0
  15                 else err $1 "wrong MD5"; return 1
  16                 fi
  17         [ "`which gzip`" ] &&
  18                 if ar p $1 data.tar.gz | gzip -t
  19                 then return 0
  20                 else err $1 "wrong contents"; return 1
  21                 fi
  22         return $3
  23 }
  24 do_wget() {
  25         wget -t3 -nv -O $2 $1
  26         check $2 $4 $?
  27         return $?
  28 }
  29 getfile(){
  30         do_wget $1 $2 $3 $4 &&
  31         mv $2 ../
  32 }
  33 mkdir -p partial && cd partial || error "Cannot change to directory ./partial"
  34        while read URL FILE SIZE MD5
  35        do getfile $URL $FILE $SIZE $MD5 || true
  36        done <<EOP
  37 EOP